Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEd Willink2016-06-08 10:41:57 -0400
committerEd Willink2016-06-08 11:05:30 -0400
commite4a0ffd7cb89dd114a5e79da5386936e4690a5ba (patch)
tree5a3a5d09b1730f4460db413b33132da02a2adc3d
parent2b6cebaf10f58640ed6bfcda31afecbed4b2348f (diff)
downloadorg.eclipse.qvtd-e4a0ffd7cb89dd114a5e79da5386936e4690a5ba.tar.gz
org.eclipse.qvtd-e4a0ffd7cb89dd114a5e79da5386936e4690a5ba.tar.xz
org.eclipse.qvtd-e4a0ffd7cb89dd114a5e79da5386936e4690a5ba.zip
[495691] Update version numbers for 0.14
-rw-r--r--features/org.eclipse.qvtd.master-feature/feature.xml2
-rw-r--r--features/org.eclipse.qvtd.tests-feature/feature.xml2
-rw-r--r--plugins/org.eclipse.qvtd.cs2as.compiler/META-INF/MANIFEST.MF6
-rw-r--r--plugins/org.eclipse.qvtd.xtext.qvtbase.ui/META-INF/MANIFEST.MF4
-rw-r--r--plugins/org.eclipse.qvtd.xtext.qvtcore.ui/META-INF/MANIFEST.MF8
-rw-r--r--plugins/org.eclipse.qvtd.xtext.qvtcore/META-INF/MANIFEST.MF6
-rw-r--r--plugins/org.eclipse.qvtd.xtext.qvtcorebase.ui/META-INF/MANIFEST.MF8
-rw-r--r--plugins/org.eclipse.qvtd.xtext.qvtcorebase/META-INF/MANIFEST.MF6
-rw-r--r--plugins/org.eclipse.qvtd.xtext.qvtimperative.ui/META-INF/MANIFEST.MF8
-rw-r--r--plugins/org.eclipse.qvtd.xtext.qvtimperative/META-INF/MANIFEST.MF6
-rw-r--r--plugins/org.eclipse.qvtd.xtext.qvtrelation.ui/META-INF/MANIFEST.MF8
-rw-r--r--plugins/org.eclipse.qvtd.xtext.qvtrelation/META-INF/MANIFEST.MF6
-rw-r--r--releng/org.eclipse.qvtd.releng.buckminster/README.txt14
-rw-r--r--releng/org.eclipse.qvtd.releng.buckminster/scripts/qvtd-pre-buckminster.sh2
-rw-r--r--releng/org.eclipse.qvtd.releng.buckminster/scripts/qvtd-tests-pre-buckminster.sh2
-rw-r--r--tests/org.eclipse.qvtd.all.tests/META-INF/MANIFEST.MF16
-rw-r--r--tests/org.eclipse.qvtd.cs2as.compiler.tests/META-INF/MANIFEST.MF10
-rw-r--r--tests/org.eclipse.qvtd.xtext.qvtbase.tests/META-INF/MANIFEST.MF4
-rw-r--r--tests/org.eclipse.qvtd.xtext.qvtcore.tests/META-INF/MANIFEST.MF8
-rw-r--r--tests/org.eclipse.qvtd.xtext.qvtimperative.tests/META-INF/MANIFEST.MF8
-rw-r--r--tests/org.eclipse.qvtd.xtext.qvtrelation.tests/META-INF/MANIFEST.MF10
21 files changed, 72 insertions, 72 deletions
diff --git a/features/org.eclipse.qvtd.master-feature/feature.xml b/features/org.eclipse.qvtd.master-feature/feature.xml
index 26c388e67..7b0a106dd 100644
--- a/features/org.eclipse.qvtd.master-feature/feature.xml
+++ b/features/org.eclipse.qvtd.master-feature/feature.xml
@@ -2,7 +2,7 @@
<feature
id="org.eclipse.qvtd.master"
label="%featureName"
- version="0.13.0.qualifier"
+ version="0.14.0.qualifier"
provider-name="%providerName"
plugin="org.eclipse.qvtd.pivot.qvtbase"
license-feature="org.eclipse.license"
diff --git a/features/org.eclipse.qvtd.tests-feature/feature.xml b/features/org.eclipse.qvtd.tests-feature/feature.xml
index 3e872afea..2c18c50f8 100644
--- a/features/org.eclipse.qvtd.tests-feature/feature.xml
+++ b/features/org.eclipse.qvtd.tests-feature/feature.xml
@@ -2,7 +2,7 @@
<feature
id="org.eclipse.qvtd.tests"
label="%featureName"
- version="0.13.0.qualifier"
+ version="0.14.0.qualifier"
provider-name="%providerName"
plugin="org.eclipse.qvtd.all.tests"
license-feature="org.eclipse.license"
diff --git a/plugins/org.eclipse.qvtd.cs2as.compiler/META-INF/MANIFEST.MF b/plugins/org.eclipse.qvtd.cs2as.compiler/META-INF/MANIFEST.MF
index 725a6198d..4ec72b451 100644
--- a/plugins/org.eclipse.qvtd.cs2as.compiler/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.qvtd.cs2as.compiler/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.qvtd.cs2as.compiler;singleton:=true
-Bundle-Version: 0.13.0.qualifier
+Bundle-Version: 0.14.0.qualifier
Bundle-ClassPath: .
Bundle-Vendor: %providerName
Bundle-Localization: plugin
@@ -11,9 +11,9 @@ Export-Package: org.eclipse.qvtd.cs2as.compiler,
org.eclipse.qvtd.cs2as.compiler.cgmodel.impl,
org.eclipse.qvtd.cs2as.compiler.cgmodel.util,
org.eclipse.qvtd.cs2as.compiler.internal;x-friends:="org.eclipse.qvtd.cs2as.compiler.tests,org.eclipse.qvtd.cs2as.build"
-Require-Bundle: org.eclipse.ocl.xtext.completeocl;bundle-version="[1.1.0,1.2.0)",
+Require-Bundle: org.eclipse.ocl.xtext.completeocl;bundle-version="[1.2.0,1.3.0)",
org.eclipse.ocl.examples.codegen;bundle-version="[2.1.0,2.2.0)",
- org.eclipse.qvtd.xtext.qvtimperative;bundle-version="[0.13.0,1.0.0)",
+ org.eclipse.qvtd.xtext.qvtimperative;bundle-version="[0.14.0,1.0.0)",
org.eclipse.qvtd.compiler;bundle-version="[0.13.0,1.0.0)",
org.eclipse.qvtd.codegen;bundle-version="[0.13.0,1.0.0)"
Bundle-ActivationPolicy: lazy
diff --git a/plugins/org.eclipse.qvtd.xtext.qvtbase.ui/META-INF/MANIFEST.MF b/plugins/org.eclipse.qvtd.xtext.qvtbase.ui/META-INF/MANIFEST.MF
index 91ed32972..6388613bf 100644
--- a/plugins/org.eclipse.qvtd.xtext.qvtbase.ui/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.qvtd.xtext.qvtbase.ui/META-INF/MANIFEST.MF
@@ -2,12 +2,12 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.qvtd.xtext.qvtbase.ui;singleton:=true
-Bundle-Version: 0.13.0.qualifier
+Bundle-Version: 0.14.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-Localization: plugin
Bundle-Vendor: %providerName
Require-Bundle: org.eclipse.qvtd.pivot.qvtbase;bundle-version="[0.13.0,1.0.0)";visibility:=reexport,
- org.eclipse.ocl.xtext.essentialocl.ui;bundle-version="[1.0.0,1.2.0)";visibility:=reexport
+ org.eclipse.ocl.xtext.essentialocl.ui;bundle-version="[1.2.0,1.3.0)";visibility:=reexport
Export-Package: org.eclipse.qvtd.xtext.qvtbase.ui.labeling,
org.eclipse.qvtd.xtext.qvtbase.ui.outline
Bundle-ActivationPolicy: lazy
diff --git a/plugins/org.eclipse.qvtd.xtext.qvtcore.ui/META-INF/MANIFEST.MF b/plugins/org.eclipse.qvtd.xtext.qvtcore.ui/META-INF/MANIFEST.MF
index 6173381be..f4bee0dc7 100644
--- a/plugins/org.eclipse.qvtd.xtext.qvtcore.ui/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.qvtd.xtext.qvtcore.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.qvtd.xtext.qvtcore.ui; singleton:=true
-Bundle-Version: 0.13.0.qualifier
+Bundle-Version: 0.14.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ActivationPolicy: lazy
Bundle-Localization: plugin
@@ -15,9 +15,9 @@ Export-Package: org.eclipse.qvtd.xtext.qvtcore.ui,
org.eclipse.qvtd.xtext.qvtcore.ui.model,
org.eclipse.qvtd.xtext.qvtcore.ui.outline,
org.eclipse.qvtd.xtext.qvtcore.ui.quickfix
-Require-Bundle: org.eclipse.xtext.builder;bundle-version="[2.3.0,3.0.0)",
- org.eclipse.qvtd.xtext.qvtcore;bundle-version="[0.13.0,1.0.0)";visibility:=reexport,
- org.eclipse.qvtd.xtext.qvtcorebase.ui;bundle-version="[0.13.0,1.0.0)";visibility:=reexport
+Require-Bundle: org.eclipse.xtext.builder;bundle-version="[2.10.0,3.0.0)",
+ org.eclipse.qvtd.xtext.qvtcore;bundle-version="[0.14.0,1.0.0)";visibility:=reexport,
+ org.eclipse.qvtd.xtext.qvtcorebase.ui;bundle-version="[0.14.0,1.0.0)";visibility:=reexport
Import-Package: org.apache.log4j
Bundle-Activator: org.eclipse.qvtd.xtext.qvtcore.ui.internal.QVTcoreActivator
Bundle-Vendor: %providerName
diff --git a/plugins/org.eclipse.qvtd.xtext.qvtcore/META-INF/MANIFEST.MF b/plugins/org.eclipse.qvtd.xtext.qvtcore/META-INF/MANIFEST.MF
index cdf22678a..5062f6d17 100644
--- a/plugins/org.eclipse.qvtd.xtext.qvtcore/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.qvtd.xtext.qvtcore/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.qvtd.xtext.qvtcore;singleton:=true
-Bundle-Version: 0.13.0.qualifier
+Bundle-Version: 0.14.0.qualifier
Bundle-ClassPath: .
Bundle-Vendor: %providerName
Bundle-Localization: plugin
@@ -23,8 +23,8 @@ Export-Package: org.eclipse.qvtd.xtext.qvtcore,
org.eclipse.qvtd.xtext.qvtcorecs.impl,
org.eclipse.qvtd.xtext.qvtcorecs.util
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.5.0,4.0.0)",
- org.eclipse.xtext;bundle-version="[2.3.0,3.0.0)",
+ org.eclipse.xtext;bundle-version="[2.10.0,3.0.0)",
org.eclipse.qvtd.pivot.qvtcore;bundle-version="[0.13.0,1.0.0)";visibility:=reexport,
- org.eclipse.qvtd.xtext.qvtcorebase;bundle-version="[0.13.0,1.0.0)";visibility:=reexport
+ org.eclipse.qvtd.xtext.qvtcorebase;bundle-version="[0.14.0,1.0.0)";visibility:=reexport
Bundle-Activator: org.eclipse.qvtd.xtext.qvtcore.utilities.QVTcorePlugin$Implementation
Import-Package: org.apache.log4j
diff --git a/plugins/org.eclipse.qvtd.xtext.qvtcorebase.ui/META-INF/MANIFEST.MF b/plugins/org.eclipse.qvtd.xtext.qvtcorebase.ui/META-INF/MANIFEST.MF
index 8a7b699ef..6027a2a44 100644
--- a/plugins/org.eclipse.qvtd.xtext.qvtcorebase.ui/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.qvtd.xtext.qvtcorebase.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.qvtd.xtext.qvtcorebase.ui;singleton:=true
-Bundle-Version: 0.13.0.qualifier
+Bundle-Version: 0.14.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ActivationPolicy: lazy
Bundle-Localization: plugin
@@ -14,9 +14,9 @@ Export-Package: org.eclipse.qvtd.xtext.qvtcorebase.ui,
org.eclipse.qvtd.xtext.qvtcorebase.ui.labeling,
org.eclipse.qvtd.xtext.qvtcorebase.ui.outline,
org.eclipse.qvtd.xtext.qvtcorebase.ui.quickfix
-Require-Bundle: org.eclipse.xtext.builder;bundle-version="[2.3.0,3.0.0)",
- org.eclipse.qvtd.xtext.qvtbase.ui;bundle-version="[0.13.0,1.0.0)";visibility:=reexport,
- org.eclipse.qvtd.xtext.qvtcorebase;bundle-version="[0.13.0,1.0.0)";visibility:=reexport
+Require-Bundle: org.eclipse.xtext.builder;bundle-version="[2.10.0,3.0.0)",
+ org.eclipse.qvtd.xtext.qvtbase.ui;bundle-version="[0.14.0,1.0.0)";visibility:=reexport,
+ org.eclipse.qvtd.xtext.qvtcorebase;bundle-version="[0.14.0,1.0.0)";visibility:=reexport
Import-Package: org.apache.log4j
Bundle-Activator: org.eclipse.qvtd.xtext.qvtcorebase.ui.internal.QVTcoreBaseActivator
Bundle-Vendor: %providerName
diff --git a/plugins/org.eclipse.qvtd.xtext.qvtcorebase/META-INF/MANIFEST.MF b/plugins/org.eclipse.qvtd.xtext.qvtcorebase/META-INF/MANIFEST.MF
index cf779acef..5b9134d81 100644
--- a/plugins/org.eclipse.qvtd.xtext.qvtcorebase/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.qvtd.xtext.qvtcorebase/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.qvtd.xtext.qvtcorebase;singleton:=true
-Bundle-Version: 0.13.0.qualifier
+Bundle-Version: 0.14.0.qualifier
Bundle-ClassPath: .
Bundle-Vendor: %providerName
Bundle-Localization: plugin
@@ -24,7 +24,7 @@ Export-Package: org.eclipse.qvtd.xtext.qvtcorebase,
org.eclipse.qvtd.xtext.qvtcorebasecs.impl,
org.eclipse.qvtd.xtext.qvtcorebasecs.util
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.5.0,4.0.0)",
- org.eclipse.xtext;bundle-version="[2.3.0,3.0.0)",
+ org.eclipse.xtext;bundle-version="[2.10.0,3.0.0)",
org.eclipse.qvtd.pivot.qvtcorebase;bundle-version="[0.13.0,1.0.0)";visibility:=reexport,
- org.eclipse.ocl.xtext.essentialocl;bundle-version="[1.1.0,1.2.0)";visibility:=reexport
+ org.eclipse.ocl.xtext.essentialocl;bundle-version="[1.2.0,1.3.0)";visibility:=reexport
Import-Package: org.apache.log4j
diff --git a/plugins/org.eclipse.qvtd.xtext.qvtimperative.ui/META-INF/MANIFEST.MF b/plugins/org.eclipse.qvtd.xtext.qvtimperative.ui/META-INF/MANIFEST.MF
index d889209d3..232df3908 100644
--- a/plugins/org.eclipse.qvtd.xtext.qvtimperative.ui/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.qvtd.xtext.qvtimperative.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.qvtd.xtext.qvtimperative.ui;singleton:=true
-Bundle-Version: 0.13.0.qualifier
+Bundle-Version: 0.14.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ActivationPolicy: lazy
Bundle-Localization: plugin
@@ -15,9 +15,9 @@ Export-Package: org.eclipse.qvtd.xtext.qvtimperative.ui,
org.eclipse.qvtd.xtext.qvtimperative.ui.model,
org.eclipse.qvtd.xtext.qvtimperative.ui.outline,
org.eclipse.qvtd.xtext.qvtimperative.ui.quickfix
-Require-Bundle: org.eclipse.xtext.builder;bundle-version="[2.3.0,3.0.0)",
- org.eclipse.qvtd.xtext.qvtimperative;bundle-version="[0.13.0,1.0.0)";visibility:=reexport,
- org.eclipse.qvtd.xtext.qvtcorebase.ui;bundle-version="[0.13.0,1.0.0)";visibility:=reexport
+Require-Bundle: org.eclipse.xtext.builder;bundle-version="[2.10.0,3.0.0)",
+ org.eclipse.qvtd.xtext.qvtimperative;bundle-version="[0.14.0,1.0.0)";visibility:=reexport,
+ org.eclipse.qvtd.xtext.qvtcorebase.ui;bundle-version="[0.14.0,1.0.0)";visibility:=reexport
Import-Package: org.apache.log4j
Bundle-Activator: org.eclipse.qvtd.xtext.qvtimperative.ui.internal.QVTimperativeActivator
Bundle-Vendor: %providerName
diff --git a/plugins/org.eclipse.qvtd.xtext.qvtimperative/META-INF/MANIFEST.MF b/plugins/org.eclipse.qvtd.xtext.qvtimperative/META-INF/MANIFEST.MF
index 7a972ed6f..47fe2f97a 100644
--- a/plugins/org.eclipse.qvtd.xtext.qvtimperative/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.qvtd.xtext.qvtimperative/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.qvtd.xtext.qvtimperative;singleton:=true
-Bundle-Version: 0.13.0.qualifier
+Bundle-Version: 0.14.0.qualifier
Bundle-ClassPath: .
Bundle-Vendor: %providerName
Bundle-Localization: plugin
@@ -24,7 +24,7 @@ Export-Package: org.eclipse.qvtd.xtext.qvtimperative,
org.eclipse.qvtd.xtext.qvtimperativecs.impl,
org.eclipse.qvtd.xtext.qvtimperativecs.util
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.5.0,4.0.0)",
- org.eclipse.xtext;bundle-version="[2.3.0,3.0.0)",
+ org.eclipse.xtext;bundle-version="[2.10.0,3.0.0)",
org.eclipse.qvtd.pivot.qvtimperative;bundle-version="[0.13.0,1.0.0)";visibility:=reexport,
- org.eclipse.qvtd.xtext.qvtcorebase;bundle-version="[0.13.0,1.0.0)";visibility:=reexport
+ org.eclipse.qvtd.xtext.qvtcorebase;bundle-version="[0.14.0,1.0.0)";visibility:=reexport
Import-Package: org.apache.log4j
diff --git a/plugins/org.eclipse.qvtd.xtext.qvtrelation.ui/META-INF/MANIFEST.MF b/plugins/org.eclipse.qvtd.xtext.qvtrelation.ui/META-INF/MANIFEST.MF
index 31a710ab2..483527474 100644
--- a/plugins/org.eclipse.qvtd.xtext.qvtrelation.ui/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.qvtd.xtext.qvtrelation.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.qvtd.xtext.qvtrelation.ui; singleton:=true
-Bundle-Version: 0.13.0.qualifier
+Bundle-Version: 0.14.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ActivationPolicy: lazy
Bundle-Localization: plugin
@@ -14,9 +14,9 @@ Export-Package: org.eclipse.qvtd.xtext.qvtrelation.ui,
org.eclipse.qvtd.xtext.qvtrelation.ui.labeling,
org.eclipse.qvtd.xtext.qvtrelation.ui.outline,
org.eclipse.qvtd.xtext.qvtrelation.ui.quickfix
-Require-Bundle: org.eclipse.xtext.builder;bundle-version="[2.3.0,3.0.0)",
- org.eclipse.qvtd.xtext.qvtbase.ui;bundle-version="[0.13.0,1.0.0)";visibility:=reexport,
- org.eclipse.qvtd.xtext.qvtrelation;bundle-version="[0.13.0,1.0.0)";visibility:=reexport
+Require-Bundle: org.eclipse.xtext.builder;bundle-version="[2.10.0,3.0.0)",
+ org.eclipse.qvtd.xtext.qvtbase.ui;bundle-version="[0.14.0,1.0.0)";visibility:=reexport,
+ org.eclipse.qvtd.xtext.qvtrelation;bundle-version="[0.14.0,1.0.0)";visibility:=reexport
Import-Package: org.apache.log4j
Bundle-Activator: org.eclipse.qvtd.xtext.qvtrelation.ui.internal.QVTrelationActivator
Bundle-Vendor: %providerName
diff --git a/plugins/org.eclipse.qvtd.xtext.qvtrelation/META-INF/MANIFEST.MF b/plugins/org.eclipse.qvtd.xtext.qvtrelation/META-INF/MANIFEST.MF
index 37234d3e4..b2fc292da 100644
--- a/plugins/org.eclipse.qvtd.xtext.qvtrelation/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.qvtd.xtext.qvtrelation/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.qvtd.xtext.qvtrelation;singleton:=true
-Bundle-Version: 0.13.0.qualifier
+Bundle-Version: 0.14.0.qualifier
Bundle-ClassPath: .
Bundle-Vendor: %providerName
Bundle-Localization: plugin
@@ -23,7 +23,7 @@ Export-Package: org.eclipse.qvtd.xtext.qvtrelation,
org.eclipse.qvtd.xtext.qvtrelationcs.impl,
org.eclipse.qvtd.xtext.qvtrelationcs.util
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.5.0,4.0.0)",
- org.eclipse.xtext;bundle-version="[2.3.0,3.0.0)",
- org.eclipse.ocl.xtext.essentialocl;bundle-version="[1.1.0,1.2.0)";visibility:=reexport,
+ org.eclipse.xtext;bundle-version="[2.10.0,3.0.0)",
+ org.eclipse.ocl.xtext.essentialocl;bundle-version="[1.2.0,1.3.0)";visibility:=reexport,
org.eclipse.qvtd.pivot.qvtrelation;bundle-version="[0.13.0,1.0.0)";visibility:=reexport
Import-Package: org.apache.log4j
diff --git a/releng/org.eclipse.qvtd.releng.buckminster/README.txt b/releng/org.eclipse.qvtd.releng.buckminster/README.txt
index c54014118..6f57a3237 100644
--- a/releng/org.eclipse.qvtd.releng.buckminster/README.txt
+++ b/releng/org.eclipse.qvtd.releng.buckminster/README.txt
@@ -1,28 +1,28 @@
The Buckminster build automatically promotes downloads and updates, so no cron job help is necessary.
The updates can be checked by looking for the new entry on http://www.eclipse.org/mmt/downloads/?project=qvtd
-or installing new software from e.g. http://download.eclipse.org/mmt/qvtd/updates/milestones/0.13.0/S201408191819
+or installing new software from e.g. http://download.eclipse.org/mmt/qvtd/updates/milestones/0.14.0/S201408191819
However operations on composite repositories are not automated, partly because they are sufficiently important to deserve manual attention.
A new milestone build can be added to the composite repository by:
logon to build.eclipse.org
-cd downloads/mmt/qvtd/updates/milestones/0.13.0
-ant -f /shared/modeling/tools/promotion/manage-composite.xml add -Dchild.repository=S201408191819 -Dcomposite.name="QVTd 0.13.0 milestones"
+cd downloads/mmt/qvtd/updates/milestones/0.14.0
+ant -f /shared/modeling/tools/promotion/manage-composite.xml add -Dchild.repository=S201408191819 -Dcomposite.name="QVTd 0.14.0 milestones"
-(This can be checked by installing new software from e.g. http://download.eclipse.org/mmt/qvtd/updates/milestones/0.13.0)
+(This can be checked by installing new software from e.g. http://download.eclipse.org/mmt/qvtd/updates/milestones/0.14.0)
The Neon aggregator is configured by GIT\org.eclipse.simrel.build\qvtd.b3aggrcon to use an explicit milestone entry
So edit qvtd.b3aggrcon to update
-location="http://download.eclipse.org/mmt/qvtd/updates/milestones/0.13.0/S201408191819"
+location="http://download.eclipse.org/mmt/qvtd/updates/milestones/0.14.0/S201408191819"
push to upstream master and start a new build at https://hudson.eclipse.org/hudson/job/simrel.neon.runaggregator/
Once a release has been promoted update qvtd.b3aggrcon to the final release
-location="http://download.eclipse.org/mmt/qvtd/updates/releases/0.13.0"
+location="http://download.eclipse.org/mmt/qvtd/updates/releases/0.14.0"
After each first repo contribution, remember to update the aggregates e.g.
cd downloads/mmt/qvtd/updates/milestones
-ant -f /shared/modeling/tools/promotion/manage-composite.xml add -Dchild.repository=0.13.0
+ant -f /shared/modeling/tools/promotion/manage-composite.xml add -Dchild.repository=0.14.0
diff --git a/releng/org.eclipse.qvtd.releng.buckminster/scripts/qvtd-pre-buckminster.sh b/releng/org.eclipse.qvtd.releng.buckminster/scripts/qvtd-pre-buckminster.sh
index 4ada1009b..698cf4f79 100644
--- a/releng/org.eclipse.qvtd.releng.buckminster/scripts/qvtd-pre-buckminster.sh
+++ b/releng/org.eclipse.qvtd.releng.buckminster/scripts/qvtd-pre-buckminster.sh
@@ -69,7 +69,7 @@ COMPACT_BUILD_ID="${COMPACT_BUILD_ID:0:12}"
echo "packages.base=QVTd.downloads"
echo "tests.base=QVTd.test.results"
echo "javadoc.base=QVTd.javadoc"
- echo "version=0.13.0"
+ echo "version=0.14.0"
echo "downloads.area=/home/data/httpd/download.eclipse.org/mmt/qvtd"
echo "generateSourceReferences=true"
diff --git a/releng/org.eclipse.qvtd.releng.buckminster/scripts/qvtd-tests-pre-buckminster.sh b/releng/org.eclipse.qvtd.releng.buckminster/scripts/qvtd-tests-pre-buckminster.sh
index 4b98f39fd..e894167e2 100644
--- a/releng/org.eclipse.qvtd.releng.buckminster/scripts/qvtd-tests-pre-buckminster.sh
+++ b/releng/org.eclipse.qvtd.releng.buckminster/scripts/qvtd-tests-pre-buckminster.sh
@@ -69,7 +69,7 @@ COMPACT_BUILD_ID="${COMPACT_BUILD_ID:0:12}"
echo "packages.base=QVTd.downloads"
echo "tests.base=QVTd.test.results"
echo "javadoc.base=QVTd.javadoc"
- echo "version=0.13.0"
+ echo "version=0.14.0"
echo "downloads.area=/home/data/httpd/download.eclipse.org/mmt/qvtd"
echo "generateSourceReferences=true"
diff --git a/tests/org.eclipse.qvtd.all.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.qvtd.all.tests/META-INF/MANIFEST.MF
index d77f329a4..4035281c7 100644
--- a/tests/org.eclipse.qvtd.all.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.qvtd.all.tests/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.qvtd.all.tests
-Bundle-Version: 0.13.0.qualifier
+Bundle-Version: 0.14.0.qualifier
Bundle-ClassPath: .
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.5.0,4.0.0)",
org.eclipse.pde.junit.runtime;bundle-version="[3.4.0,5.0.0)",
org.eclipse.ui.ide.application;bundle-version="[1.0.0,2.0.0)",
- org.eclipse.ocl.xtext.completeocl;bundle-version="[1.1.0,1.2.0)",
- org.eclipse.ocl.xtext.oclinecore;bundle-version="[1.1.0,1.2.0)",
- org.eclipse.ocl.xtext.oclstdlib;bundle-version="[1.0.0,1.2.0)",
- org.eclipse.qvtd.xtext.qvtcore.tests;bundle-version="[0.13.0,1.0.0)",
- org.eclipse.qvtd.xtext.qvtimperative.tests;bundle-version="[0.13.0,1.0.0)",
- org.eclipse.qvtd.xtext.qvtrelation.tests;bundle-version="[0.13.0,1.0.0)",
- org.eclipse.qvtd.cs2as.compiler.tests;bundle-version="[0.13.0,1.0.0)"
+ org.eclipse.ocl.xtext.completeocl;bundle-version="[1.2.0,1.3.0)",
+ org.eclipse.ocl.xtext.oclinecore;bundle-version="[1.2.0,1.3.0)",
+ org.eclipse.ocl.xtext.oclstdlib;bundle-version="[1.2.0,1.3.0)",
+ org.eclipse.qvtd.xtext.qvtcore.tests;bundle-version="[0.14.0,1.0.0)",
+ org.eclipse.qvtd.xtext.qvtimperative.tests;bundle-version="[0.14.0,1.0.0)",
+ org.eclipse.qvtd.xtext.qvtrelation.tests;bundle-version="[0.14.0,1.0.0)",
+ org.eclipse.qvtd.cs2as.compiler.tests;bundle-version="[0.14.0,1.0.0)"
Bundle-ActivationPolicy: lazy
Bundle-Vendor: %providerName
Bundle-Localization: plugin
diff --git a/tests/org.eclipse.qvtd.cs2as.compiler.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.qvtd.cs2as.compiler.tests/META-INF/MANIFEST.MF
index 0baa6ec0f..fad622d9c 100644
--- a/tests/org.eclipse.qvtd.cs2as.compiler.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.qvtd.cs2as.compiler.tests/META-INF/MANIFEST.MF
@@ -2,17 +2,17 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.qvtd.cs2as.compiler.tests;singleton:=true
-Bundle-Version: 0.13.0.qualifier
+Bundle-Version: 0.14.0.qualifier
Bundle-ClassPath: .
Bundle-Vendor: %providerName
Bundle-Localization: plugin
Require-Bundle: org.junit,
- org.eclipse.ocl.xtext.completeocl;bundle-version="[1.1.0,1.2.0)",
- org.eclipse.qvtd.xtext.qvtimperative;bundle-version="[0.13.0,1.0.0)",
+ org.eclipse.ocl.xtext.completeocl;bundle-version="[1.2.0,1.3.0)",
+ org.eclipse.qvtd.xtext.qvtimperative;bundle-version="[0.14.0,1.0.0)",
org.eclipse.qvtd.compiler;bundle-version="[0.13.0,1.0.0)",
org.eclipse.qvtd.cs2as.compiler;bundle-version="[0.13.0,1.0.0)",
- org.eclipse.qvtd.xtext.qvtbase.tests;bundle-version="[0.13.0,1.0.0)",
- org.eclipse.ocl.examples.autogen;bundle-version="[1.1.0,1.2.0)";resolution:=optional,
+ org.eclipse.qvtd.xtext.qvtbase.tests;bundle-version="[0.14.0,1.0.0)",
+ org.eclipse.ocl.examples.autogen;bundle-version="[1.1.0,1.3.0)";resolution:=optional,
org.eclipse.qvtd.codegen;bundle-version="[0.13.0,1.0.0)";resolution:=optional,
org.eclipse.xsd;bundle-version="[2.11.0,3.0.0)";resolution:=optional,
org.eclipse.osgi
diff --git a/tests/org.eclipse.qvtd.xtext.qvtbase.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.qvtd.xtext.qvtbase.tests/META-INF/MANIFEST.MF
index f97256a33..54867a08d 100644
--- a/tests/org.eclipse.qvtd.xtext.qvtbase.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.qvtd.xtext.qvtbase.tests/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.qvtd.xtext.qvtbase.tests;singleton:=true
-Bundle-Version: 0.13.0.qualifier
+Bundle-Version: 0.14.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.junit;visibility:=reexport,
org.eclipse.core.resources,
@@ -10,7 +10,7 @@ Require-Bundle: org.junit;visibility:=reexport,
org.eclipse.jdt.core,
org.eclipse.emf.mapping.ecore2xml;visibility:=reexport,
org.eclipse.uml2.uml.resources;visibility:=reexport,
- org.eclipse.ocl.xtext.oclstdlib;bundle-version="[1.1.0,1.2.0)",
+ org.eclipse.ocl.xtext.oclstdlib;bundle-version="[1.2.0,1.3.0)",
org.eclipse.ocl.examples.xtext.tests;bundle-version="[3.6.0,3.7.0)";visibility:=reexport,
org.eclipse.qvtd.pivot.qvtbase;bundle-version="[0.13.0,1.0.0)"
Bundle-Vendor: %providerName
diff --git a/tests/org.eclipse.qvtd.xtext.qvtcore.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.qvtd.xtext.qvtcore.tests/META-INF/MANIFEST.MF
index 3cfe8382b..17f07f5ff 100644
--- a/tests/org.eclipse.qvtd.xtext.qvtcore.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.qvtd.xtext.qvtcore.tests/META-INF/MANIFEST.MF
@@ -2,15 +2,15 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.qvtd.xtext.qvtcore.tests;singleton:=true
-Bundle-Version: 0.13.0.qualifier
+Bundle-Version: 0.14.0.qualifier
Bundle-ClassPath: .
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.5.0,4.0.0)",
- org.eclipse.ocl.xtext.completeocl;bundle-version="[1.1.0,1.2.0)",
+ org.eclipse.ocl.xtext.completeocl;bundle-version="[1.2.0,1.3.0)",
org.eclipse.qvtd.codegen;bundle-version="[0.13.0,1.0.0)",
org.eclipse.qvtd.compiler;bundle-version="[0.13.0,1.0.0)",
- org.eclipse.qvtd.xtext.qvtimperative.tests;bundle-version="[0.13.0,1.0.0)";visibility:=reexport,
- org.eclipse.qvtd.xtext.qvtcore.ui;bundle-version="[0.13.0,1.0.0)";visibility:=reexport
+ org.eclipse.qvtd.xtext.qvtimperative.tests;bundle-version="[0.14.0,1.0.0)";visibility:=reexport,
+ org.eclipse.qvtd.xtext.qvtcore.ui;bundle-version="[0.14.0,1.0.0)";visibility:=reexport
Bundle-ActivationPolicy: lazy
Bundle-Vendor: %providerName
Bundle-Localization: plugin
diff --git a/tests/org.eclipse.qvtd.xtext.qvtimperative.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.qvtd.xtext.qvtimperative.tests/META-INF/MANIFEST.MF
index 90b13e005..19b3981da 100644
--- a/tests/org.eclipse.qvtd.xtext.qvtimperative.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.qvtd.xtext.qvtimperative.tests/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.qvtd.xtext.qvtimperative.tests;singleton:=true
-Bundle-Version: 0.13.0.qualifier
+Bundle-Version: 0.14.0.qualifier
Bundle-ClassPath: .
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ActivationPolicy: lazy
@@ -13,10 +13,10 @@ Require-Bundle: org.junit,
org.eclipse.core.runtime,
org.eclipse.debug.core,
org.eclipse.ui.ide,
- org.eclipse.ocl.xtext.completeocl;bundle-version="[1.1.0,1.2.0)",
+ org.eclipse.ocl.xtext.completeocl;bundle-version="[1.2.0,1.3.0)",
org.eclipse.qvtd.codegen;bundle-version="[0.13.0,1.0.0)",
- org.eclipse.qvtd.xtext.qvtimperative;bundle-version="[0.13.0,1.0.0)";visibility:=reexport,
- org.eclipse.qvtd.xtext.qvtbase.tests;bundle-version="[0.13.0,1.0.0)";visibility:=reexport,
+ org.eclipse.qvtd.xtext.qvtimperative;bundle-version="[0.14.0,1.0.0)";visibility:=reexport,
+ org.eclipse.qvtd.xtext.qvtbase.tests;bundle-version="[0.14.0,1.0.0)";visibility:=reexport,
org.eclipse.qvtd.debug,
org.eclipse.ocl.examples.debug.vm;bundle-version="[2.0.0,3.0.0)"
Export-Package: org.eclipse.qvtd.xtext.qvtimperative.tests
diff --git a/tests/org.eclipse.qvtd.xtext.qvtrelation.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.qvtd.xtext.qvtrelation.tests/META-INF/MANIFEST.MF
index 7e445f111..19329be22 100644
--- a/tests/org.eclipse.qvtd.xtext.qvtrelation.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.qvtd.xtext.qvtrelation.tests/META-INF/MANIFEST.MF
@@ -2,18 +2,18 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.qvtd.xtext.qvtrelation.tests;singleton:=true
-Bundle-Version: 0.13.0.qualifier
+Bundle-Version: 0.14.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-Vendor: %providerName
Bundle-Localization: plugin
-Require-Bundle: org.eclipse.qvtd.xtext.qvtbase.tests;bundle-version="[0.13.0,1.0.0)";visibility:=reexport,
- org.eclipse.qvtd.xtext.qvtrelation.ui;bundle-version="[0.13.0,1.0.0)";visibility:=reexport,
+Require-Bundle: org.eclipse.qvtd.xtext.qvtbase.tests;bundle-version="[0.14.0,1.0.0)";visibility:=reexport,
+ org.eclipse.qvtd.xtext.qvtrelation.ui;bundle-version="[0.14.0,1.0.0)";visibility:=reexport,
org.eclipse.qvt;bundle-version="[0.13.0,1.0.0)",
org.eclipse.qvtd.examples.qvtrelation.modelmorf;bundle-version="[0.13.0,1.0.0)",
org.eclipse.qvtd.examples.qvtrelation.reltocore;bundle-version="[0.13.0,1.0.0)",
org.eclipse.qvtd.pivot.qvtimperative;bundle-version="[0.13.0,1.0.0)",
org.eclipse.qvtd.compiler;bundle-version="[0.13.0,1.0.0)",
org.eclipse.qvtd.codegen;bundle-version="[0.13.0,1.0.0)",
- org.eclipse.qvtd.xtext.qvtimperative.tests;bundle-version="[0.13.0,1.0.0)",
- org.eclipse.qvtd.xtext.qvtcore.tests;bundle-version="[0.13.0,1.0.0)"
+ org.eclipse.qvtd.xtext.qvtimperative.tests;bundle-version="[0.14.0,1.0.0)",
+ org.eclipse.qvtd.xtext.qvtcore.tests;bundle-version="[0.14.0,1.0.0)"
Export-Package: org.eclipse.qvtd.xtext.qvtrelation.tests

Back to the top